staqlydocs
REST APIAPI referenceChannels

List connected channels

List connected channels (channels:read)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/channels

Each channel comes with its group_id and activity (read from its targets). group keeps one channel group.

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Query Parameters

group?string

Only channels in this channel group (grp_...)

Response Body

OK

application/json
  1. response
data*array<>
curl -X GET 'https://staqly.example.com/v1/channels'
{  "data": [    {      "id": "string",      "provider": "string",      "name": "string",      "handle": "string",      "avatar_url": "string",      "profile_url": "string",      "status": "connected",      "settings": {},      "links": "keep",      "group_id": "string",      "last_error": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "activity": {        "last_published_at": "2019-08-24T14:15:22Z",        "last_post_id": "string",        "next_publish_at": "2019-08-24T14:15:22Z",        "published_30d": 0      }    }  ]}